/// add styles for input placeholder
/// @group helper
@mixin _formPlaceholderHelper() {
  &::-webkit-input-placeholder { /* Chrome/Opera/Safari */
    @content;
  }
  &::-moz-placeholder { /* Firefox 19+ */
    @content;
  }
  &:-ms-input-placeholder { /* IE 10+ */
    @content;
  }
  &:-moz-placeholder { /* Firefox 18- */
    @content;
  }
}

@mixin _formStyleHelper() {
  position: relative;
  width: 100%;
  height: $input-height;
  padding: 0 10px;
  @include _reset-glow();

  background: $input-background;
  border: 0;
  border-radius: 0;
  border-bottom: 1px solid $input-border-color;

  appearance: textfield;

  &:focus {
    border-color: $input-focus-color;
    box-shadow: none;
  }

  &[disabled] {
    background: $color-panel-background;
    border: 0;
    color: darken($color-panel-background, 25%);
    cursor: not-allowed;
  }

  @include _formPlaceholderHelper() {
    color: lighten($color-paragraph, 50%);
  }

  option {
    margin: 10px 10px;
  }
}